Subject: bug#64535: 30.0.50; Spurious newlines in `prin1` output

From: Gregory Heytings <[email-masked]>
Date: Thu, 10 Aug 2023 16:00:39 +0000

>
> We now have a general way to solve the problem.  I don't think it's 
> always absolutely perfect, but it's definitely good enough that we can 
> get rid of this odd hack.  And those user who set `long-line-threshold` 
> to nil *and* happen to reproduce just the recipe in Bug#2866 would get 
> what they ask for, IMO.
>

FWIW, I agree with Stefan here.  long-line-threshold is a fire escape, and 
users are advised to not change its value: "There is no reason to change 
that value except for debugging purposes."  So his proposed fix, which 
removes a workaround installed by Mattias in May 2022, is safe.